Issuu on Google+

February 21, 2013

Volume 35, Issue 22

www.metnews.org

Serving the Auraria Campus since 1979

TheMetropolitan Metropolitan InSight

Imaginary toys lead to real punishments 6

MetroSpective Spective The show must drag on 8

MetOnline

MetSports

Additional stories and coverage at metnews.org

No. 1 Men’s basketball go 22-0 11

Protestors spill feelings on Keystone XL

Members of the Forward on Climate rally lie down in Civic Center Park in Denver to simulate an oil spill on Sunday, Feb. 17. The Forward on Climate rally was in protest of the construction of the Keystone XL pipeline. Photo by Amanda Sutherland • asuther6@msudenver.edu

Seniors and Freshmen — improve your university experience

Complete the 15-min NSSE* survey by May 1

$2 donation to the MSU Denver Food Bank from the Provost’s Office for each survey completed.

• Check your MSU Denver email for details • For more information, contact Lou Moss - lmoss@msudenver.edu *NSSE = National Survey of Student Engagement

Department Name

3


2 February 21, 2013 MetNews TheMetropolitan

Metro North I-25 & 120th

303-450-5111

11990 Grant Street, Northglenn. Near I-25 and 120th located in the City Wide Bank Building.

DEPT #

COURSE TITLE/CREDITS

CRN

DAYS/TIME

DATES

CPD 2300

Time Management

34622

S, 9 a.m.–5 p.m.

5/04–5/11

CPD 2310

Stress Management

34718

S, 9 a.m.–5 p.m.

4/20–4/27

CPD 2330

Assertiveness

34725

S, 9 a.m.–5 p.m.

2/23–3/02

JRN 4890

Social Documentary

33621

F, 9 a.m.–12 p.m.

4/12–5/18

PSC 3140

The American Congress and Legislative Process

33762

S, 8:30 a.m.–3:15 p.m.

3/23–5/18

PSY 295E

Comparative Buddhist and Western Psychology

34293

S, 8:30 a.m.–3:15 p.m.

3/23–5/18

SPE 1710

Interpersonal Communication

33366

S, 8:30 a.m.–3:15 p.m.

3/23–5/18

Metro South

I-25 & Orchard 303-721-1313

5660 Greenwood Plaza Blvd., Greenwood Village. Near Orchard Road and I-25 located in the Triad North Bldg. Directly across from the Orchard Train Station.

DEPT #

COURSE TITLE/CREDITS

CRN

DAYS/TIME

DATES

ACC 2020

Principles of Accounting II

33933

S, 8:30 a.m.–3:15 p.m.

3/23–5/18

CPD 2310

Stress Management

34715

S, 9 a.m.–5 p.m.

3/09–3/16

CPD 2320

Self Esteem

34723

S, 9 a.m.–5 p.m.

4/20–4/27

CPD 2360

Multi-Level Wellness

34732

S, 9 a.m.–5 p.m.

4/06–4/13

EDU 4300

Acting Like a Teacher

33397

S, 9 a.m.–2:30 p.m.

4/13–5/18

EDU 4700

Substitute Teacher Workshop

34857

S, 9 a.m.–5 p.m.

3/16–3/23

HSP 3580

Therapeutic Resistance

34491

FS, 9 a.m.–5 p.m.

3/22–3/23

HSP 4290

PTSD & Trauma Informed Care

34495

FS, 9 a.m.–5 p.m.

5/10–5/11

PHI 1030

Introduction to Ethics

32788

S, 8:30 a.m.–3:15 p.m.

3/23–5/18

PSY 3000

Theories of Personality

33714

S, 8:30 a.m.–3:15 p.m.

3/23–5/18

SPE 1010

Public Speaking

33020

S, 8:30 a.m.–3:15 p.m.

3/23–5/18

SPE 4300

Acting Like A Teacher

33398

S, 9 a.m.–2:30 p.m.

4/13–5/18

THE 3200

Performance of Literature I: Solo

33311

S, 8:30 a.m.–3:15 p.m.

3/23–5/18

THE 4300

Acting Like A Teacher

33399

S, 9 a.m.–2:30 p.m.

4/13–5/18


TheMetropolitan

February 21, 2013

MetNews

3

Marchers protest Keystone XL Pipeline Melanie J. Rice mrice20@msudenver.edu Several hundred people converged on Auraria Campus Feb. 17 and marched to Civic Center Park with the Forward On Climate solidarity march and rally that took place yesterday in Washington D.C. and in several other major U.S. cities, where tens of thousands of people gathered. The rally piped issues to the surface that have the potential to fracture society, and called to question society’s underlying values as profits from the fossil fuel industry are weighed against environmental and other impacts. “Students are the young people who are going to be alive longer than the rest of us and they’re going to experience the worst of the climate impacts that are coming,” Micah Parkin, of 350.org, said. “There is a moral obligation for our leaders to do something about it.” Protestors called for governmental action against fossil fuel induced climate change and underscored President Obama’s key role and duty to reject TransCanada’s proposed Keystone XL Pipeline project which would transverse U.S. soil and Native American tribal properties. TransCanada’s website said the Keystone XL Tar Sands Oil Pipeline project is an 1,170 mile pipeline, which would run from Canada to Texas. The project requires U.S. presidential approval, which is anticipated in the first quarter of 2013. MSU Denver student organization Social Activism Through Art was responsible for bringing the rally and march to the Auraria Campus, where the event kicked off at 11:30 a.m. with a student-led rally. The campus rally was part of the Go Fossil Free campaign, where students from across Colorado are calling for colleges and universities to stop investing in and profiting from the fossil fuel industry. Simon Mostafa, CU Boulder grad student studying environmental engineering, said there is a conflict of interest between universities’ environmental research and the same schools’ profits from the fossil fuel industry investments. “Essentially, as students, we’re stockholders in oil and gas companies,” Mostafa said. When the marchers flowed into Civic Center Park many who were dressed in black lay down on the

Protesters begin to march to the Capitol building on Sunday, Feb. 17, 2013 at the Forward on Climate Rally at Auraria Campus in Denver. The rally was to urge President Obama to cease construction of the Keystone XL Pipeline. Photo by Amanda Sutherland • asuther6@msudenver.edu

ground to create a human oil spill. The rally at Civic Center Park was emceed by 12-year old Xiuhtezcatl Martinez of Earth Guardians, a non-profit environmental group for youth. Event sponsors included The Sierra Club’s Beyond Coal campaign, 350 Colorado, Go Fossil Free, Greenpeace, Environment Colorado, Protect Our Colorado and other groups. It drew together people from faith-based, indigenous, student activist, environmental and political groups. Speakers cited the negative impacts of the fossil-fuel industry, including impacts to the winter sports industry, drought, wildfires, super storm Sandy and violation of treaties with Native American nations and destruction of Native lands. “Threats against the environment and pollution don’t stop at the border,” said Taryn Soncee Waters, a founder of Idle No MoreDenver, an indigenous peoples group that advocates for treaty rights and environmental issues. Like the proposed pipeline, the issues cross national borders and extend beyond environmental concerns, raising issues of centuries old land disputes and Native sovereignty as well as the U.S.’s

long history of broken treaties with indigenous peoples. “They’ve always pretty much just taken our land back; said ‘here’s your land, oh wait, we want it now. Oh, here it is, oh wait, we want it back again,’” said Cheyenne Birdshead, also of Idle No MoreDenver. Bringing it close to home for many Coloradans, Jodee Brekke, one of the speakers and a member of The Mother’s Project and Protect Our Colorado said, “There is a 66 percent greater risk of developing cancer if you live within a half mile radius of a well.” However, not all Coloradans support this approach. Proponents of the oil and gas industry in Colorado say it brings jobs to a struggling economy and that the operators take due precautions to protect the environment. Doug Flanders, director of policy and external affairs for COGAColorado Oil & Gas Association, said that Colorado has some of the most comprehensive oil and gas regulations in the country. “In Colorado, oil and gas is regulated at every level – local, state and federal, ” Flanders said. Proponents say the oil and gas industry has long and deep ties to Colorado and has been a boon to

the regional economy. Passions surrounding related issues run just as deeply in the hearts of Coloradans. Critics say the industry seeks profits at the expense of the environment and public good, citing incidents such as the recent fracking fluid spill near Windsor, Colo. In an archived webcast of Gov. Hickenlooper’s Feb. 12 testimony before the U.S. Senate Committee on Energy and Natural Resources, Hickenlooper said he drank fracking fluid made of food additives, calling it “a benign fluid.” Hickenlooper could not be reached for comment, and it is unclear if this fracking fluid is the same fluid currently in widespread use across Colorado. Hickenlooper has called for state, rather than federal, regulation of the natural gas industry, saying natural gas fuels the economy. Emphasizing the role of the oil and gas industry in the Colorado economy, Flanders said, “Coloradans generally don’t expect energy to be developed elsewhere when we have the capability to contribute to domestic energy production ourselves.” The issues raised at the Forward On Climate rally span generations and cross cultural

boundaries; the generations of the future will inherit the outcome. “Our grandparents, our ancestors have always fought to keep the planet safe for us and we just want to keep doing that,” Cheyenne Birdshead said.

Extended coverage on the Forward On Climate rally and march online at metnews.org


4 February 21, 2013 MetNews TheMetropolitan


TheMetropolitan  MetNews  February 21, 2013 

5

Visiting professor promotes diversity, hope Maalikah Hartley

mhartley@msudenver.edu Follow your dreams and lead by example, no matter what your background— this was the message visiting professor Freeman Hrabowski left the students of Auraria to think about. Feb. 18 in the Tivoli Turnhall, Hrabowski, the President of the University of Maryland, Baltimore County, explained how he transformed his commuter school into one of the country’s top producers of AfricanAmerican Ph.D.s in science, technology, engineering and mathematics, or STEM. With the help of billionaire philanthropist Robert Meyerhoff, Hrabowski began the Meyerhoff Scholarship Program. The program aims for inclusion and promotes diversity in future leaders of STEM. According to “60 Minutes,” Hrabowski’s rule of no electronic devices in the classroom, and his promotion of collaboration instead of competition, help his students— who refer to each other as “teachers”­—socialize and form real bonds. “One of the most important messages was building community among students and getting them to support each other and work with problem-solving together,” Hrabowski said. A self-proclaimed nerd who entered college at age 15, Hrabowski laughed as he told those assembled that solving math problems would give him goose bumps, even when he

was sitting in the back of church listening to some man named Dr. Martin Luther King, Jr. speak. Today Hrabowski is trying to inspire students to realize that they are capable of anything. “Every one of you has the ability to excel,” he said. “If you do your best, all things are possible. You are destined to do great things. I challenge you to think about being somebody who inspires other people.” Students in the crowd hoping to one day be teachers, artists, and entrepreneurs stood to explain why they are in college and what their dreams are, taking turns as Hrabowski passed the mic to them. Chilton Jones, an MSU Denver freshman who would like to “master the world of business,” said Hrabowski was a positive influence and that he too would like to inspire his peers by being the first of his family to graduate from college. “Everything is business related,” Jones said. “I honestly believe we need to open more job opportunities and balance the economy. It’s very few that we see being positive role models that are breaking the mold and setting new trends for the multiculture.” Alicia Medley, an MSU Denver junior and behavioral science student, came to the keynote address with her history class and left with a new perspective on her plans to become a high school teacher. “Regular people can make a difference

and still get their doctorate like he did,” Medley said. “It’s motivational for me to see that someone else can have a huge impact on college students and keep them in school and pursuing their education.” Hrabowski is no fan of political correctness, or of making assumptions about anybody. He said that his leadership is radical because he wants to take the world from where it is today to where it ought to be. He congratulated MSU Denver for including the “undocumented children of Colorado” in receiving lower tuition than out-of-state residents. To impact one person’s life, Hrabowski told his listeners, means that you have already changed the world. Before he left, Hrabowski made the crowd stand up and repeat after him: “Watch your thoughts; they become your words. Words become your actions, actions become your habits, hab- Freeman Hrabowski, president of the University of Maryland, Baltimore County, was named one of the 10 Best its become your character, character College Presidents by Time magazine in 2009. becomes your destiny.” Photo courtesy of Time magazine

Read more online Forty-four percent of student misconduct still goes unreported

By Collene Lewis Auraria career day focuses on the personal brand

By Sean Bobic The MSU Denver Counseling Center and Peer education Program invites you to participate in:

Eating Disorder Awareness & Screening Day

4600 Hale Parkway, Suite 490 Denver, CO 80220

Monday, February 25, 2013 11 a.m.–2 p.m. Tivoli Multicultural Lounge

The Eating Disorder Center of Denver will also provide a lecture from noon–12:30 p.m. on How to Help A Friend with an Eating Disorder. Join the Counseling Center for a free eating disorder & body image issue screening. This event is open to the entire community; student enrollment is not necessary for participation. Mental health professionals will be available to answer your related questions and address your concerns. There will be lots of resources and free refreshments!

Counseling Center (303) 556-3132 • Tivoli Suite 651 For special accommodations, please contact us in advance.


6 February 21, 2013 TheMetropolitan

InSight

Punishing imaginations doesn’t build safety

Angelita Foster amayer1@msudenver.edu We’re up in arms over toy guns and imaginary grenades. When my son was in kindergarten, I was called by the school to come pick him up because he brought a “weapon” to school. Yes, my 5-year-old boy snuck a red, plastic squirt gun into his backpack to take for show-and-tell. That was nine years ago, only four years after the Columbine school shooting — an event that seemed to prompt a barrage of policies put in place to prevent such a massacre from happening again. Now, here we are in 2013 and yet another school, Sandy Hook in Newton, Conn., has witnessed a life-changing tragedy. As a parent, and as a human being, I can understand the fear that it could happen where my son

goes to school. I can also understand the need for some kind of policy that can support the effort to keep our children safe while in school. What I can’t understand is putting policies in place out of fear and that do not really address the safety of our children, like prohibiting taking plastic water pistols to school, like my son did. I can understand the fear and that some sensitivity needs to be shown to victims of a horrible crime. But to suspend a secondgrade boy for throwing an imaginary grenade is ridiculous, even if he had gone against an “absolute” the school had set. I’m talking about the 7-yearold boy from Mary Blair Elementary School in Loveland, who was suspended for “throwing” an imaginary grenade while playing at recess. According to the LovelandHerald Reporter, Alex Watkins threw an imaginary grenade at an imaginary box that had “something evil inside.” It is a fact that young boys are fascinated with toy guns, imaginary war games and toy soldiers.

Is banning such toys or activities in the schoolyard really going to protect our children a real crime? I don’t think so. I have to wonder about these policies when the schools themselves don’t follow them. Although my son was reprimanded and told how serious his actions were, the school then allowed water balloon fights during a field day soon after the incident. What’s the difference between a real balloon or imaginary grenade? According to an ABC News re-

port, a kindergartner who attends Mount Carmel Area Elementary School in Pennsylvania caught administrators’ attention after suggesting she and a classmate should shoot each other with bubbles. The 5-year-old girl was suspended from school — for making a “terrorist threat” — with soap bubbles. I don’t think these zero tolerance policies really keep our children safe. If anything, they are confusing to the offending children, who are now “criminals” for using their imaginations.

Nikki Work nwork@msudenver.edu Maybe the “M” in MTV stands for manipulation. The first season of MTV’s newest hit series “Buckwild” aired its season finale Feb. 8. Set in the backwoods of West Virginia, the show chronicles the lives of nine young adults and their wild adventures. According to the MTV, each of the season’s 12 episodes drew in some three million viewers. The show features the cast in an array of outlandish situations: they mud-wrestle, perform dangerous — and downright stupid — stunts, and party endlessly. Whatever. This isn’t MTV’s first shot at a show about crazy, young, drunk and promiscuous people. Society has already suf-

Editor-in-Chief Brian T. McGinn: bmcginn3@msudenver.edu Managing Editor Kayla Whitney: kwhitne2@msudenver.edu News Editor Kelli Heitstuman-Tomko: ktomko@msudenver.edu Assistant News Editors Collene Lewis: cmtlewis@msudenver.edu Maalikah Hartley: mhartle8@msudenver.edu MetroSpective Editor Nikki Work: nwork@msudenver.edu Assistant MetroSpective Editors Brent Zeimen: bzeimen@msudenver.edu Kailyn Lamb: klamb6@msudenver.edu Sports Editor Angelita Foster: amayer1@msudenver.edu Assistant Sports Editor Zilingo Nwuke: znuke@msudenver.edu Copy Editors J. Sebastian Sinisi Kate Rigot

Luke Powell

Photo Editor Ryan Borthick: rborthick@msudenver.edu Assistant Photo Editor Heather Newman: hnewman3@msudenver.edu Online Editor Nathalia Vélez: nvelez@msudenver.edu Multimedia Editor Ian Gassman: igassman@msudenver.edu Adviser Gary Massaro: gmassaro@msudenver.edu Webmaster Drew Jaynes: ajaynes1@msudenver.edu Director of Student Media Steve Haigh: shaigh@msudenver.edu

makes light of serious problems fered through six seasons of Jersey Shore. The repercussions of this show, however, are much further reaching. These implications lie with the reality of Appalachian poverty — and it’s more serious than I ever had imagined. According to U.S. Census data from 2007-2011, the poverty rate in West Virginia is higher than the rest of the country. The median household income is about $13,000 less for the state. From 2006-2010, about one in three West Virginians lived in poverty-stricken areas. The graduation rate in West Virginia is nearly three percent lower than the national average. Fewer than two out of ten people have bachelor’s degrees. According to The Washington Post, Sen. Joe Manchin III, (D-W. Va.), spoke out against the show, even issuing pleas with MTV to cancel it, saying it misrepresented the people of his state and perpetuated negative stereotypes. “As a U.S. Senator, I am repulsed at this business venture, where some Americans are making

MetStaff

money off of the poor decisions of our youth,” Manchin wrote in a letter to MTV. “Instead of showcasing the beauty of our people and our state, you preyed on young people, coaxed them into displaying shameful behavior — and now you are profiting from it. That is just wrong.” The cast hasn’t done much to slow their decline, either. According to a Bretibart report, in the last two weeks, two of the “Buckwild” cast members have been arrested on serious charges — one involving illegal substances, and the other for driving under the influence. All of the show’s cast members are adults in their early twenties who are parading around looking carefree, reckless and “redneck,” while their state is among the poorest in the nation. While the cast members “just buck it,” which is the show’s motto, their misadventures are coming to symbolize a culture that is in dire need of help. As these kids’ actions, like fi lling a dump truck and using it as a

swimming pool, are laughed at on national television, the underlying problem goes largely unnoticed. Yeah, they are getting drunk and splashing in the back of construction equipment, but why? The people in some of these communities are intensely poor. They don’t have the same access as many other Americans to resources, like recreation, education or infrastructure. And from our living rooms, we gape at their outlandish lifestyle, but we choose to remain ignorant to their situations. It’s exploitation of a culture for profit on the part of MTV – the executives know what they’re doing, and they don’t care. Instead of showing the world the harsh reality that is homelessness or unemployment in Appalachia, MTV ignores the issues at hand for the sake of cheap-thrill television and thus proves what it stands for — irresponsibility, vanity and indifference. “Buckwild” has been signed on for a second season to help MTV cash in big-time. I can’t help but wonder at what cost.

Assistant Director of Student Media Marlena Hartz: mhartz@msudenver.edu Administrative Assistant of Student Media Elizabeth Norberg: enorbert@msudenver.edu Production Manager of Student Media Kathleen Jewby: kjewby@ msudenver.edu

The Metropolitan accepts submissions in the form of topicdriven columns and letters to the editor. Column article concepts must be submitted by 1 p.m.. Thursdays and the deadline for columns is 9 p.m. Sundays. Columns range from 500 to 600 words. Letters to the editor must be submitted by 5 p.m. Mondays to be printed in that week’s edition. There is a 500-word limit for letters to the editor. The Metropolitan reserves the right to edit letters for formatting and style. All submissions should be sent by e-mail to themetonline@gmail. com. The Metropolitan is produced by and for the students of Metropolitan State University of Denver and serves the Auraria Campus. The Metropolitan is supported by advertising revenue and student fees and is published every Thursday during the academic year and monthly during the summer semester. Opinions expressed within do not necessarily reflect those of MSU Denver or its advertisers.


TheMetropolitan  February 21, 2013 

MetroSpective

7

Huitzilopochtli, an Aztec dance group, perform at the “One Billion Rising” event, Feb. 14 at St. Cajetan’s Center. Photo by Trevor Davis • tdavis84@msudenver.edu

“One Billion Rising” combats violence on V-Day Kailyn Lamb klamb6@msudenver.edu While some were out celebrating Valentine’s Day with their loved ones, MSU Denver’s Feminist Alliance was raising awareness to put a stop to violence against women. In St. Cajetans center Feb. 14, the Feminist Alliance held its event for V-Day, which went hand in hand with the “One Billion Rising” movement. This is a global movement to raise awareness and help put a stop to violence against

women. In the spirit of the holiday, there were candy hearts littering the tables. There were also red and pink cut-out hearts with “I rise” handwritten on them, with people’s various reasons of why they rise against violence. The Clinical Counseling Club had a table with a large sheet of red paper where attendees traced their hands for the “These Hands Don’t Hurt Women” campaign. Some of the people working the event wore handmade shirts

that explained why they rise. Sky Yarbrough, a junior at MSU Denver and a member of the Feminist Alliance, was one of them. “I rise to the adversity and as my shirt says ‘no yoking,’” said Yarbrough. “Women are oftentimes [yoked] by gender, we’re put in a position to bear everything, we’re beasts of burdens in a lot of ways.” One of the speakers for the event, Craig Archuletta, an employee of MSU Denver’s GLBT Student Services at Auraria, talked

about how violence affects everybody. He specifically talked about surviving the “school of violence” little boys are taught. “Tap and jazz and glitter wigs don’t make for a good start in the school of man,” he said. Archuletta went on to say that this is no longer just a women’s issue in the changing world, saying that we need to “acknowledge that our communities are multiple.” He also went on to say that in order to defeat the violence, we need to band together.

Jennine Jeffries, president of sorority Iota Iota Iota at MSU Denver, agreed that more than just women need to be in on the conversation. “It’s important to me to put out this kind of information to educate others, especially our male population because that’s the one thing that we’re missing is that male advocacy,” Jeffries said. “[Feminism is] a big scary word, they think male-bashing and [that] all we do is we hate them. No, we love you, we want you to love us.”


8 February 21, 2013 MetroSpective

TheMetropolitan

TheMetropolitan

MetroSpective

February 21, 2013

9

“Love is a Drag” show raises awareness, funds for GLBT youth Kailyn Lamb klamb6@msudenver.edu

To raise money for Rainbow Alley, MSU Denver’s GLBT office said “bring on the queens” with the “Love is a Drag” event. On Feb. 14, the Gay, Lesbian, Bisexual, Transgender Student Services office turned the Tivoli Turnhalle into a lounge. A small group of round tables with pink shaded lamps were set up in front of a small stage. “Love is a Drag” was the third annual drag show held on campus. The premise was that attendees throw dollar bills at their favorite performers, and all the money would be donated to Rainbow Alley. “I would encourage each of you to look in your pockets and find your dollars,” said Carrie Henkins from the Institute of Women’s Studies. “If you don’t have dollars, go get some dollars and throw them at our fabulous performers.” When master of ceremonies Pansy Petals took the stage, she ushered viewers to the front next to the stage and introduced the first of thirteen acts: the Cycle Sluts, Denver’s original camp drag comedy group. Avon, one of the crowd favorites, favored sensual acts that included stripping and acrobatic fl ips in heels. Other acts, like Rolanda Flor of the Cycle Sluts preferred comedy, lip-syncing to “I Want a Real

Rainbow Alley Vagina There (so frickin’ bad)” to the tune of Travie McCoy’s “Billionaire.” It was not all queens, either. A couple kings and other “drag royalty” took the stage to perform as well, including local act La Galla Queer Performance Collective. All the while, Petals sarcastically reminded spectators to donate money. “You people are cheap bitches,” she said. “Part of this whole thing is you need to tip. Why do you think I moved you up to the front? I’m going to shame you into tipping.” But underneath the wigs, comedy and glitter was a message of acceptance and outreach. For Craig Archuletta, who helped put on the event both this year and last, there is more to it than gay, lesbian and transgender issues. Archuletta is genderqueer, or someone who does not identify under the normal gender binary. “I don’t really do drag, I do just different pieces of me,” Archuletta said. “My personal identity with it is that I don’t particularly identify with male or female, I just sort of navigate somewhere in between. When I walk into a store, I don’t go ‘there’s my section,’ it’s more like ‘there’s my store.’” According to Steve Willich, the director of GLBTSS since

All images above: Avon M. Larouxx gets dressed up and applies her makeup for the “Love is a Drag” show, Feb. 14 at the Tivoli Turnhalle. Photos by Ryan Borthick • rborthic@msudenver.edu

the summer of 2010, their office started the drag show in light of the teen suicides that were happening due to bullying. The first year they donated to the Trevor Project, a group working against suicide among LGBT youth. Then they began working more locally and started donating to Rainbow Alley, a resource center for LGBT youth from ages 12-17 and their supporters. This year’s donations again will go to Rainbow Alley. “I was bullied when I was a kid for being gay, for being not of the norm,” Willich said. “I want to help defend them, I want to make sure that youth here have an easier time of it, that they are able to focus on their education instead of on discrimination, focus on their education instead of worrying what people think of them, making their education experience equal for them — that’s kind of my goal.”

•It is located at 1301 E. Colfax Ave. in Denver at the garden level of The Center’s building. •Their telephone number is 303831-0442 •The are open Mondays by appointment only, Tuesday-Thursday from 3 p.m. to 8 p.m., Fridays from 3 p.m. to 9 p.m. They are only open on the second and fourth Saturdays from 12 p.m. to 8 p.m. They are closed on Sundays. •It is a free program, and students who use the facility are welcome to use the medical clinic, computer lab, library, kitchen and hang-out space. •They also have a dance floor, ping-pong table and VCR/DVD player. •In addition, they have youth-led activities with adult supervision. Above: (from left) Franklin McGee, Dr. Vegas and Vegas, members of the La Galla Queer Performance Collective, run a workshop for people wanting to experiment with drag before the “Love is a Drag” show, Feb. 14 in the Tivoli Turnhalle. Below: Joana Man, member of the Denver Cycle Sluts, prepares backstage for their performance at the “Love is a Drag” show, Feb. 14 in the Tivoli Turnhalle. Photos by Ryan Borthick • rborthic@msudenver.edu

•It is a drug-, alcohol-, and hatefree environment.


10 February 21, 2013 Rants + Raves TheMetropolitan

Rants+Raves

“Beautiful Creatures” not the newest “Twilight” Kailyn Lamb klamb6@msudenver.edu “Beautiful Creatures,” a new love story featuring witches, surprisingly

delivered. Like quite a few people who saw the trailer, I rolled my eyes and thought, “Another monster movie?” But to my surprise, the movie actually provided some believable chemistry and a good story. For those expecting the latest incarnation of “Twilight,” this movie will be a disappointment. Instead, it forges its own story and

own impact. Richard LaGravenese’s new movie is based off a book by the same title by Kami Garcia, and is about a young man named Ethan Wate (Alden Ehrenreich). Ethan lives in Gatlin, South Carolina — the epitome of a small town. He is in his junior year of high school when a mysterious new student arrives. Ethan later finds out that new girl, Lena Duchannes (Alice Englert), is much more than she seems. After some very strange things happen to him in Lena’s house, Lena tells Ethan she is a witch, or a “caster,” as they like to call

Rants+Raves Rating System

themselves. I found the chemistry between the two characters to be fantastic as the movie progressed. The couple faces both the normal problems of a teenage relationship and the not so normal ones. For example, Lena is going to either be claimed for the light or the dark when she turns 16, and dark witches are trying to turn her throughout the movie. Two such witches are her cousin Ridley (Emmy Rossum), and Sarafine (Emma Thompson). Both ladies nail their performances, embodying the dark side of the casters, and Rossum will leave the

Image courtesy of Alcon Entertainment.

boyfriends who are dragged to see this flick drooling. The southern charm and ap-

pealing storytelling in this movie had me hooked despite my original thoughts of the trailer.

“Safe Haven” a romantic flop Reeanna Hernandez rherna60@msudenver.edu For all the passionate romantics out there who were looking for a fi lm in the vein of “The Notebook” to enhance their Valentine’s Day, “Safe Haven” was not the movie. With all the beautifully told love stories Nicholas Sparks has brought to us in the past, such as “The Lucky One,” “A Walk to Remember” and, of course, “The Notebook,” the bar was set high. This movie, however, was nowhere near the level of its predecessors. “Safe Haven” centered on Katie (Julianne Hough), who changes her identity to escape her past. She boards a bus, leaves Boston and finds herself in a small seaside town in North Carolina. Surely enough, life leads her to find love and a “safe haven” with Alex (Josh DuImage courtesy of Relativity Media and hamel), a widower raising his two children. Her life is falling into place until Katie’s past comes Temple Hill Entertainment. to haunt her, and an unexpected turn of events threatens her newfound sanctuary. The fi lm has some unexpected elements that definitely pull at the heartstrings and make viewers emotionally connect with the characters, but ultimately, the connection is not strong enough to last. Maybe it was the lack of chemistry between the characters, a trait that can make or break a love story. Maybe it was the setting of the fi lm that made it seem less than magical. Either way, this fi lm could have been so much better —but it simply wasn’t. I will admit, I left the theater in tears, but not tears of fulfi llment. They were tears of sadness — not the kind of romantic tears you look for in a good love story. I was crying about how completely tragic certain life events can be. The ending of the fi lm was anything but satisfying, and the romance that was developed throughout the course of the fi lm was forgettable. It wasn’t the connection I was looking for when going to see a movie on Valentine’s Day — especially a Nicholas Sparks movie. To say the least, as an ardent Nicholas Sparks fan and fervent romantic at heart, this movie did not live up to my expectations. It was not a timeless love story, but rather, it was simply a story. A story that had much promise, but unfortunately, was just not quite there.

And the Oscar goes to... Obsessed with awards shows? We certainly are. Check out our predictions of the Academy Awards online at metnews.org.


TheMetropolitan  February 21, 2013 

MetSports

Runners Wrap-up Tennis Men’s tennis lost to Division I South Dakota State 7-2 on Feb. 17. Seniors Gabriel Vlahos and Alec Parmenter defeated their opponents in singles play. Parmenter earned his fifth victory of the year while Vlahos earned his sixth victory in single play. In doubles play Vlahos and junior Adrien Delvaux lost in the tie breaking set. Women’s tennis lost 8-1 to South Dakota State. Senior Sam Schall gained the lone point for Metro to earn her fourth victory of the year.

Track and Field Freshman distance runner Janelle Lincks ran a provisional time in the 3,000 meters at the Joe Davies open on Feb. 16. Lincks set a school record in the 3K with a time of 10:23.62 converted to 9:58.25 for track size and altitude. For the men sophomore sprinter Phil Hill, Jr. ran a personal best in the 400 meters with a time of 52.10. Junior hurdler Darius Reed had a school record 7.77 seconds, converted 7.79 for altitude in the 60 meter.

Compiled by Mario Sanelli msanelli@msudenver.edu

Win out of range for Regis Rangers Roadrunners still undefeated Angelita Foster amayer1@msudenver.edu Metro men’s basketball remains undefeated after an 83-62 win at Regis University Feb. 16. The Rangers, 7-14 overall and 6-12 in the Rocky Mountain Athletic Conference, played a close game in the first half against the No. 1 Roadrunners, now 22-0. Regis player Kevin Marshall brought his team within one point with a buzzer-beater basket, and the Rangers went to the locker room down 39-38. “There were a lot of defensive mistakes on our part in the first half,” senior forward/center Jonathan Morse said. “Give them credit, they hit a lot of shots. They were moving the ball pretty well, and getting a lot of open looks.” Morse, who scored a team high 24 points, also had seven rebounds, crowning him the new all-time leading rebounder with 921. The previous record was held by Shun Tillman (1986-90) with 915. While the Roadrunners shot nearly 54 percent in the first half, they struggled defensively, allowing the Rangers to shoot 46 percent, the fourth most points all season in the first half. Rangers players Jarrett Green was 2-for-3 and Jon Conley was 3-for-4 from outside the arc.

“Their press attack was effective. Once they beat the press, then we were a little slow getting back,” Metro head coach Derrick Clark said. “And they made us play. They made some easy layups and they were hitting the threes as well.” The Roadrunners started the second half aggressively, increasing their lead with consecutive shots deep in the paint by Morse, followed by sophomore forward/center Nicholas Kay and senior guard Demetrius Miller. The Runners shooting was consistent in the second half. They were 17-for-30 for field goals and 8-for-12 from the free throw line, and shot 50 percent from outside the arc. “We had to pick up our energy a lot on offense — that way we could set up on our defense,” Morse said. Rangers’ Green scored with 13 minutes left in the game, cutting the Roadrunners’ lead 52-48. As the Rangers were able to pull within four, the Roadrunners responded with a 21-1 run. Miller finished the game with 18 points, while sophomore guard Mitch McCarron added 12 points and seven rebounds for the Roadrunners. Men’s basketball will head to Durango to meet No. 22 Fort Lewis Feb. 22, then to Alamosa to play

Oury doesn’t stop short on contributuions Mario Sanelli msanelli@msudenver.edu Baptism by fire last season has translated to a hot start in 2013 for Metro shortstop Susie Oury.

11

After being recruited from Arvada West High School by then Metro head softball coach Vanessa Becerra, Oury started 43 of 44 games for the Roadrunners her

Metro sophomore shortstop Susie Oury tags out UCS-Pueblo junior Aimee Spathias in the first game of a double header at Auraria Field March 11, 2012. Photo by Jessica Cuneo • jcuneo2@msudenver.edu

freshman year. That amount of early experience has been a benefit this year as a sophomore. “I know how coach coaches, and how the girls play, and I’m very comfortable with the environment now,” Oury said. She has stepped up to the plate of leadership—not by giving motivational speeches to her teammates, but through her devotion to the game. “She works hard. Especially over the break, she worked really hard lifting and conditioning and she’s just an overall great kid,” Metro softball head coach Kristi Lansford said. “She’s shown a lot of tenacity, and she strives every day to get better. I’m just really proud of her.” Last season Oury hit in the lineup’s No. 9 spot, but a move to the leadoff position this year has paid dividends. “She’s kind of an igniter. She

Metro forward/center Nicholas Kay attempts a dunk in the Roadrunners 83-62 victory at Regis University Feb. 16. Photo by Cosme Lindstrom-Furutani • clindst1@ msudenver.edu

Adams State College Feb. 23. “They are two of the better teams in the conference, and we have to go on the road into their house,” Clark said. “Any time you

play on the road it’s going to be a tough game. We get an opportunity to see how good we are on the road.”

gets our team going offensively,” assistant coach Mackenzie Oakes said. That was evident during the Desert Stinger Tournament in Las Vegas Feb. 8-10, when Oury went 11-for-18 from the leadoff spot, with 7 RBIs, 10 runs, two homeruns and five stolen bases. “I love to run,” said Oury, a former high school track athlete. She tripled down on doubles against Montana State-Billings, setting a school record for doubles in a game with three. “Batting leadoff, you have a big job to get on base first, so the following batters can hit you in,” Oury said. “Hitting first is more exciting because I get a lot more at-bats.” Oury’s play during the tournament earned her the Rocky Mountain Athletic Conference Player of the Week honor. She said the honor makes her push to be even better. The Arvada native is majoring in Adult Fitness and Exercise Sci-

ence with a minor in Biology. “I really want to get into pediatric nursing and help with kids,” Oury said. Oury is accustomed to kids because she grew up in a household with five other siblings. She’s the youngest girl, ahead of two younger brothers. Her older sisters played softball, and she followed their path. “It was fun growing up with three older sisters and taking after them,” Oury said. “They were definitely role models.” There’s also a special meaning behind the No. 4 she wears. “I’m the fourth child in my family so my mom picked that number for me, and ever since I was little, I’ve worn it,” Oury said. Playing competitive sports has enhanced aspects of Oury’s life outside of softball as well. “You have to be confident as a player and that’s taught me to be confident with myself in life too,” Oury said.


12 February 21, 2013 MetSports TheMetropolitan

Women’s basketball wins six straight and improves 17-6

“They were telling us that they think we can’t shoot the ball,” senior guard Emily Wood said. “So the guards have to come out Metro women’s basketball faced off against and show them that we can shoot the ball and Regis University Feb. 16 on the road. They had that we can knock down shots.” The Rangers managed the Roadrunners’ lost the first matchup against Regis at home lead going into the second half, and held the Dec. 1 at Auraria Event Center, and prepared Roadrunners to a four-point lead going into to even up the score Saturday night. the locker room 32-28. The Lady Roadrunners dominated the The Roadrunners controlled the second Regis Rangers 64-49 Feb. 16 at Regis, increashalf with rebounding and defensive pressure. ing their winning streak to six games. They outrebounded the Rangers 22 to 14. The Roadrunners improved their overall The Rangers changed their defense to a record to 17-6 and 15-3 in the RMAC conferfull court press, but the Roadrunners manence this season. aged to break the press every time. “We needed to defend our three point With 10 minutes left in the game, the line. We needed to make sure we rebounded,” Roadrunners managed to build their lead up head coach Tanya Haave said. “We needed to to seven. take care of the ball. It was real important for The Rangers missed some crucial free us that we didn’t do as well last time against throws that could have gotten them back in them.” the game. The score was 47-40. Regis started the game in a zone defense, The Roadrunners dominated the paint, while Metro began in a man-to-man degrabbing eight offensive boards in the second fense. The first two minutes of the game were half. scoreless, but Regis put the first points on The Rangers submitted to the Roadrunthe board. Senior point guard Emily Wood elowfired back  Ad on Following ners, who continued a shooting stroke, putwith ais three to make the score 3-2. Page ting their lead in the double digits. It didn’t take long for either team to get in a “We just had to come back and be ready rhythm as they began to exchange buckets. to play,” junior guard Cassie Lambrecht said. Halfway through the first half the Road“They beat us on our home floor and that was runners had a three-point lead with a score of something we really needed to come back and 16-13. prove ourselves and prove that it was a fluke, Regis heated up from the field getting a the first time we lost to them.” 6-0 run on Metro, but the Roadrunners disWood led the team with 16 points. Junior played their shooting Saturday afternoon. guard Cassie Lambrecht and senior forward They shot 53 percent from the three and Brandi Valencia followed with 15 each. 58 percent from the field in the first half. The Rangers’ zone defense didn’t affect the Roadrunners’ game plan.

Zee Nwuke znwuke@msudenver.edu

t & Web Authorization

DENVER

Metro’s Emily Wood goes for a lay up against the Rangers Feb. 16 at Regis University. Metro won 6449. Photo courtesy of Metro Athletic Department.

ACCREDITED BY:

National League For Nursing Accrediting Commission BACHELOR OF SCIENCE NURSING ASSOCIATE DEGREE IN NURSING Just look at a small sample of employers that have hired our graduates:

Sky Ridge Medical Center Denver Health Lutheran Medical Center Rose Medical Center

St. Anthony Central North Valley Hospital Kaiser Permanente Swedish Medical Center

Denver School of Nursing is an Accredited Member ACCSC, Denver School of Nursing programs are approved by the Colorado State Board of Nursing. NLNAC, 3343 Peachtree Road NE, Suite 850, Atlanta, Georgia 30326 Phone: 404-975-5000

FOR MORE INFORMATION 303-292-0015 WWW.DENVERSCHOOLOFNURSING.EDU 1401 19th STREET, DENVER, CO 80202 (LOCATED 1 BLOCK FROM COORS FIELD)

DSN is currently approved to train Veterans who qualify for VA Benefits! Financial aid available to those who qualify!

FOR CONSUMER INFORMATION PLEASE GO TO: WWW.DENVERSCHOOLOFNURSING.EDU

Log on to Metrosphere.org and submit your creative works to Metrosphere, MSU Denver’s literary and arts magazine.

We are accepting your creative submissions through February 28 for this year’s publication. Remember to like us on Facebook for daily inspiration, to connect with other artists, for updates on creative events around town and much more. facebook.com/Metrosphere


TheMetropolitan  MetSports  February 21, 2013 

Runners stay focused Angelita Foster amayer1@msudenver.edu With only four games left in regular season, I wonder if men’s basketball head coach Derrick Clark and his Roadrunners can look beyond the ‘one game at a time’ mentality to ponder the prospect of a national championship. The Roadrunners are 22-0 and remain the No. 1 Division II basketball team in the nation for the fifth consecutive week. It would be hard for any team not to be thinking about making a championship.

Let’s face it ­— this team could, go, all, the, way. Well, that is a football reference, but it’s appropriate here. Sometimes, when a coach or player says ‘we are taking it one game at a time,’ I think ‘yeah, right.’ I’ve heard this, or some version of this, from Clark and players alike throughout the season. Are these statements falsely humble – so as not to seem too cocky? Or, is that the real reason the Runners hold the top spot nationally and in the Rocky Mountain Athletic Conference? I think Clark has kept his team

focused on one game at a time. If you have seen the Roadrunners play lately, you can see that focus. This season, the Runners have applied pressure like a mob collector: they get their orders from the don, how to collect what’s theirs – the win – and they do it, clean and efficiently. Metro seniors forward/center Jonathan Morse and guard Demitrius Miller say that Clark reminds them every day that they need to focus on the next game and that the rest will come. Every practice, and every play is based on hard work. Clark says that it’s important for the seniors to take things in as they are happening, and not worry

FREE CLASSES • EQUIPMENT INCLUDED

Healthy Moves

about what might happen down the road. Only two teams played within 10 points of a win — Fort Lewis was within six on Jan. 19, and Western State University was within five Jan. 2. The Runners are averaging 80 points a game with a shooting margin of 19. Junior guard Brandon Jefferson had a 23-point game against Colorado Christian University Feb. 9, making him the 16th Roadrunner to hit the 1,000-point career mark. The Runners are shooting 40 percent from 3-point range, while keeping opponents to 30 percent. Jefferson leads the Roadrunners,

making 46-of-99 outside the arc this season. Morse has 921 career rebounds, which put him at number one in Roadrunner history, outrebounding Shun Tillman who had 914, 1986-90. As a team, the Runners have outrebounded their opponents by five percent, while averaging 36 rebounds per game. The Roadrunners are best known as a defensive team, causing nearly 18 turnovers per game. Jefferson and Morse lead the team with 52 and 33 steals respectively. I’m not a math major, but if you add all of this up, there is no doubt that a championship is within the Roadrunners’ grasp.

TALK TO US

Spring 2013 Schedule

STORY IDEAS

January 22–May 18 • No classes over Spring Break (March 25–29) Please check online for updates: www.msudenver.edu/healthymoves

@HealthCtAuraria

13

HealthCenterAtAuraria

All classes are in PE 103 unless indicated below. Class participation is free and available on a first-come, first-served basis for the Auraria Campus community. (Students have priority.)

Monday

Tuesday

Wednesday

Thursday

Pilates

10–10:55

Yoga for Stress Management

Yoga for Stress Management

Noon–12:55

Pilates

Pilates

1–1:55

Nia

Nia

11–11:55

3:30–4:25

Flow Yoga

Flow Yoga

4:30–5:20

Belly Dancing

Belly Dancing Zumba®

5:15–6:15 5:30–6:30

Friday

Hatha Yoga

Tivoli 640

Class time: 11–12:10

Zumba®

Class time: 12:15–1:10

CONTESTS Friday classes sponsored by: MSU Denver First Year Success

BELLY DANCING

YOGA NIDRA (DEEP RELAXATION)

Women of the Middle East have enjoyed belly dancing for centuries, celebrating life and the joy of the soul through this expressive art. This fun and exciting dance form is a great aerobic and toning workout, providing the means for improving posture and self-confidence.

Take time out from your busy life to recharge your batteries. Yoga Nidra is a simple, deep relaxation and meditation practice done from lying down. It is a systematic method of releasing accumulated tensions, resulting in profound physical, mental and emotional relaxation. Use this ancient yogic tool to manage stress and improve sleep. The first part of the class will prepare participants for deep relaxation through simple yoga asanas and pranayamas (postures and breathing).

NIA A creative, free-spirited and fun barefoot fitness dancing form, Nia combines principles and concepts from the dancing arts, healing arts and martial arts.

PILATES Pilates is a series of floor exercises that increase strength, coordination and flexibility, while promoting uniform muscle development and enhancing postural alignment. All of the exercises are linked to a specific breath pattern that deepens core engagement and helps relieve stress. Pilates believes that all movement stems from the core and can therefore be performed safely.

FLOW YOGA Flow Yoga is an active style of yoga linking poses together with rhythmic breathing. Generally more physically challenging than Hatha Yoga, Flow Yoga calms the mind and tones the body.

HATHA YOGA Postures play a primary role in Hatha Yoga, as do specific breathing techniques and meditation practices. All are intended to calm the mind and uplift the spirit, and nourish the mind and body on every level.

DISCOUNTS

Yoga Nidra

Zumba®

Hatha Yoga

Yoga for Relaxation

YOGA FOR STRESS MANAGEMENT This class is designed for all ages and all levels of fitness with a systematic and safe approach to yoga. Students learn simple yet poweful yogic tools for stress management at the physical, mental and emotional levels, and build abilities to cope with stress.

ZUMBA® Zumba® combines dance and fitness exercises with international dance rhythms such as African, salsa, meringue, cumbia, and reggaeton. These awe-inspiring movements are meant to engage and captivate for life. Every class feels like a party!

Sponsored by Health Center at Auraria & Campus Recreation at Auraria For more information, contact Health Center at Auraria Plaza 150 • 303-556-2525

Be a part of your campus news outlets. Suggest a story idea, sound off on previous issues, comment on campus events, or sell your old records in the Classifieds. Thatʼs why weʼre here!

MetroStudentMedia.com @MetroStudentMedia @MetStudentMedia @MetroStudentMedia Tivoli 313 303-556-2507 studentmedia@msudenver.edu


14 February 21, 2013 MetroSpective TheMetropolitan

StudyBreak

Sudoku

Horoscope

By Kayla Whitney • kwhitne2@msudenver.edu

Taurus

Capricorn

The warm weather will entice you to start enjoying outdoor activities. While hiking in the mountains, you will be attacked by a mountain lion. You will survive, but stay inside from now on.

Aquarius

Difficulty: EASY

Libra

Gemini

September 23 -October 22 Don’t bother watching the Oscars this weekend. All the movies or people you wanted to win will lose and your day will be ruined.

When the State of the Union address is the highlight of your month, you may want to reconsider your life — or become a politician, in which case you should really reconsider your life.

Pisces

Scorpio

Cancer

October 23 -November 21

June 21 -July 22

If you want a cool, easy way to make grilled cheese, try putting your toaster on its side and inserting the bread with cheese. Just remember what happens to bread when it’s done in the toaster. Hint: it pops up, or in your case sideways…and then onto the floor.

Being a bookworm is a great attribute. However, when you are done with a book, throwing it on the ground and screaming “another,” is not socially acceptable.

Sagittarius

Leo

Aries

July 23 -August 22

November 22 -December 21

Reese’s Peanut Butter Cups are the perfect combination of chocolate and peanut butter: fact.

While eating a sandwich and whistling in the park, a flock of birds will join you in song, Snow White style. Then, they will attack you for your sandwich.

March 21 -April 19 You won’t be able to take the Oscars seriously this year because you will keep imagining the different characters of “Family Guy” on stage. You can thank Seth MacFarlane for that.

You will become addicted to asparagus soon. Just take comfort in the fact that if you pee your pants, people will smell like asparagus and not urine.

May 21 -June 20

February 19 -March 20 After all the asteroid hype, you’ll want to change your profession to being an astronaut. Step one: buy a telescope. Step two: watch the original Star Wars trilogy. Step three: cross your fi ngers NASA is still around when you’re done.

August 23 -September 22

To try and mix things up, you will let your waiter pick your meal when you’re out at dinner. Th is will be a bad choice, because you will end up with food poisoning.

January 20 -February 18 Your Friday night it going to be lame unless you fi nd a unicorn.

Virgo

April 20 -May 20

December 22 -January 19

Difficulty: HARD

Brain Teasers

A Beginner’s Guide to finding the board that best fits you!

Rebel Transport

The Life/Love Boat

Street Standard The Dog-Town

Half way to a pair of roller skates. *Jean cut-off shorts included with purchase

80’s Missing Link

Are you a bad enough dude to ride one of the many failed evolutionary branches?

A primary source of first time emergency room visits. Thanks a lot, Tony Hawk.

More control = More speed More speed = More fun What could possibly go wrong?

Balance is for the sober.

Comic created by Robert Shea • rshea5@msudenver.edu

.27 2.21-2

This k e e W

Metro Events 2.22 Eve Ensler’s Production of the “Vagina Monologues” St. Cajetan’s Center @ 7:30 p.m. Last issue’s answers (top to bottom) A Big If, Hop Up and Down, Music to One’s Ears, Stay Overnight, To Swear Black is White

2.25-26 Water and the Arts Symposium Tivoli Turnhalle @ 11 a.m.

2.26 Writing Your First Resume Tivoli 215 @ 9:30 a.m. A workshop ideal for all of you who are taking a first go around with writing your professional resume. 2.26 “Chasing Ice” film screening Denver Museum of Nature and Science @ 7 p.m. 2.26 Step Afrika! King Center Recital Hall @ 7:30 p.m. Free parking in the 7th Street Garage, but tickets are required. Two tickets per person can be picked up at the King Center box office.

Events Around Denver 2.22 Hannah Georgas, Desert Noises, Sarah Slaton Hi-Dive Denver, Doors @ 8:30 p.m. $10 2.23 Mama Lenny and The Remedy, FaceMan (solo), Luke Redfield, Anthony Ruptak and His Midnight Friends The Walnut Room on Walnut St. @ 7 p.m. $7 2.26 “Chasing Ice” film screening Denver Museum of Nature and Science @ 7 p.m. $12-$15


TheMetropolitan

February 21, 2013

ClassifiedAds Classified Info Phone: 303-556-2507 Fax: 303-556-3421 Location: Tivoli 313 Advertising via Email: studentmedia@msudenver.edu Website: www.metrostudentmedia.com Classified ads are 15¢ per word for students currently enrolled at MSU Denver. To receive this rate, a current MSU Denver student ID must be shown at time of placement. For all others, the cost is 30¢ per word. Cash, check, VISA and MasterCard are accepted. Classified ads may be placed via fax, email or in person. The deadline for placing all classified ads is 3 p.m. Thursday for the following week. For more information about other advertising opportunities, call 303-556-2507.

COLLEGE NIGHT $1 Drafts! $1 Games! $1 Shoes!

STEAL OF A DE AL

Introducing RowdyBucks: MSU Denver’s own local deals & discounts

1 Wednesdays at 8pm ELITCH LANES

3825 Tennyson • (303) 447-1633

FREE CLASSIFIED AD All MSU Denver campus organizations are eligible for one FREE classified ad (with option to upgrade to display classified for $10) and one FREE radio acknowledgment per year. Contact Student Media, see above or email studentmedia@msudenver.edu, for more information.

YOU AND A GUEST ARE

Go to the Student Success Building.

this week’s deals $10 off or FREE Member Gold Card

Look for

2 on the new kiosk. 3

FREE Sweet Potato Fries when the Roadrunners score 75 4-Day Pass for $199

Find a steal of a deal (LIKE DISCOUNTS AT RESTAURANTS, SHOPS, SKI RESORTS AND MORE).

please visit the kiosk for full details

TENNYSON’S TAP PRESENTS

INVITED TO A SPECIAL ADVANCE SCREENING Of

EMILIO EMILIO LATIN JAZZ

MSU DENVER’S OWN

LIVING WILLS

STOP BY STARTING TODAY TO PICK UP YOUR COMPLIMENTARY PASSES! TIVOLI STUDENT UNION SUITE 313 Must show valid student I.D.

The film is raTed r. Supplies are limited. The screening will be held on Wednesday, 2/27 at 7:00PM at a local theater. Sponsors and their dependents are not eligible to receive a prize. Passes received through this promotion do not guarantee a seat at the theater. Seating is on a first-come, first-served basis, except for members of the reviewing press. Theater is overbooked to ensure a full house. No admittance once screening has begun. All federal, state and local regulations apply. A recipient of prizes assumes any and all risks related to use of prize, and accepts any restrictions required by prize provider. Relativity Media, Allied-THA, Gofobo, The Metropolitan and their affiliates accept no responsibility or liability in connection with any loss or accident incurred in connection with use of prizes. Prizes cannot be exchanged, transferred or redeemed for cash, in whole or in part. Not responsible if, for any reason, winner is unable to use his/her prize in whole or in part. Not responsible for lost, delayed or misdirected entries. All federal, state and local taxes are the responsibility of the winner. Void where prohibited by law. No purchase necessary. NO PHONE CALLS

BLACkOUT ThE DATE: MARCh 1 21andovermovie.tumblr.com | Facebook.com/21andover | @21andover

METROPOLITAN

15

ROCK POP

BENEFITING AND highlighting the abilities of mechanically assisted and physically encumbered people.

TUESDAY NIGHTS @ TENNYSON’S TAP

7–9 38TH & TENNYSON


303.477.1950 RegencyStudentHousing.com NOW LEASING - Fall 2013! New Apartments

Apply Today!

LEASE BY APRIL 1st. FOR A CHANCE TO WIN $1,000! Villas Amenities 3 Bed/3 Bath Apts. Fully Furnished Full Kitchen Free Utilities Included Private Washer/Dryer Full Service Dining Hall Swimming Pool

Free On-site Parking Free Shuttle to Auraria Bowling Alley Basketball Courts Fitness Center Computer Lab Secured Access

3900 Elati Street, Denver Colorado 80216


Volume 35, Issue 22 - Feb. 21, 2013